Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.gouv.culture.sdx.thesaurus
Class LuceneConcept

    java.lang.Object
      fr.gouv.culture.sdx.utils.AbstractSdxObject
          fr.gouv.culture.sdx.document.AbstractDocument
              fr.gouv.culture.sdx.document.AbstractIndexableDocument
                  fr.gouv.culture.sdx.document.XMLDocument
                      fr.gouv.culture.sdx.thesaurus.AbstractConcept
                          fr.gouv.culture.sdx.thesaurus.LuceneConcept

All Implemented Interfaces:
  Document, IndexableDocument, ParsableDocument, Concept, Describable, Encodable, Identifiable, Localizable, SdxObject, org.apache.avalon.framework.configuration.Configurable, org.apache.avalon.framework.context.Contextualizable, org.apache.avalon.framework.logger.LogEnabled, org.apache.avalon.framework.service.Serviceable, org.apache.cocoon.xml.XMLProducer, org.apache.excalibur.xml.sax.XMLConsumer, org.apache.excalibur.xml.sax.XMLizable, org.xml.sax.ContentHandler, org.xml.sax.ext.LexicalHandler

    public class LuceneConcept

extends AbstractConcept

Nested Class Summary

Nested classes/interfaces inherited from class fr.gouv.culture.sdx.document.AbstractIndexableDocument
`AbstractIndexableDocument.StoreHandler`

Nested classes/interfaces inherited from interface fr.gouv.culture.sdx.utils.SdxObject
`SdxObject.ConfigurationNode`

Field Summary
`protected java.lang.String` | `idKey`
`protected org.apache.lucene.document.Document` | `luceneDoc`

Fields inherited from class fr.gouv.culture.sdx.thesaurus.AbstractConcept
`value, valueKey, xmlLang, xmlLangKey`

Fields inherited from class fr.gouv.culture.sdx.document.AbstractIndexableDocument
`_boost, _currentFieldBoost, _msgHandler, _xmlFieldList, _xmlFieldOutput, _xmlFieldTransformer, attachedDocuments, characterBuffer, contentHandler, currentFieldName, DOC_ATTACHEDOC_ELEMENT_NAME, DOC_FIELD_ELEMENT_NAME, DOC_MSG_ELEMENT_NAME, DOC_NAMESPACE, DOC_ROOT_ELEMENT_NAME, lexicalHandler, nsTable, openSdxDocElems, properties, storeHandler, subDoc, subDocBytes, subDocuments, transformedDoc, withinSdxElement, withinXmlField, xmlConsumer`

Fields inherited from class fr.gouv.culture.sdx.document.AbstractDocument
`idGenerator, idPrefix, idSuffix, mimeType, storeRepo`

Fields inherited from class fr.gouv.culture.sdx.utils.AbstractSdxObject
`_configuration, _context, _description, _encoding, _id, _locale, _logger, _manager, _xmlizable_objects, _xmlLang, isToSaxInitialized`

Fields inherited from interface fr.gouv.culture.sdx.thesaurus.Concept
`ABBREVIATION_SCOPE_NOTE, DOCTYPE_CONCEPT, RELATION_BROADER_TERM, RELATION_BROADER_TERMS, RELATION_EQUIVALENT_TERM, RELATION_NARROWER_TERM, RELATION_PARTIAL_EQIUVALENCE, RELATION_RELATED_TERM, RELATION_USE, RELATION_USED_FOR, TERM, XMLLANG`

Fields inherited from interface fr.gouv.culture.sdx.document.Document
`CLASS_NAME_SUFFIX, DOCTYPE_BINARY, DOCTYPE_GROUP, DOCTYPE_HTML, DOCTYPE_USER, DOCTYPE_XML`

Fields inherited from interface fr.gouv.culture.sdx.utils.Encodable
`DEFAULT_ENCODING`

Constructor Summary
`LuceneConcept()`
`LuceneConcept(org.apache.lucene.document.Document lDoc)`

Method Summary
`void` | `endElement(java.lang.String uri, java.lang.String loc, java.lang.String raw)`
`java.lang.String` | `getId()`
`java.lang.String[]` | `getRelations(int type)` Deprecated. Should not be used as int/relation string mapping should be handled by the Thesaurus as it defines the relationship between itself and a Concept, so the Thesaurus shoud to the int to String conversion before calling getRelations(String type)
`java.lang.String[]` | `getRelations(java.lang.String type)` Returns a list of concept ids related to this one.
`java.lang.String` | `getValue()` Provides the value from a lucene data object if it exists
`java.lang.String` | `getXmlLang()` Provides the xml:lang otherwise it returnts the value of the class variable from a lucene data object if it exists

Methods inherited from class fr.gouv.culture.sdx.thesaurus.AbstractConcept
`addRelation, getDocType, setValue, setXmlLang, startElement`

Methods inherited from class fr.gouv.culture.sdx.document.XMLDocument
`addAdditionalSystemFields, getLength, getMimeType, openStream, parse, parse, setContent, setTransformedDocument, setTransformedDocument, startIndexing`

Methods inherited from class fr.gouv.culture.sdx.document.AbstractIndexableDocument
`addAttachedDocument, characters, comment, endCDATA, endDocument, endDTD, endEntity, endPrefixMapping, generateId, getAttachedDocuments, getAttachedDocumentsSize, getBoost, getFieldValues, getStoreHandler, getSubDocuments, getSubDocumentsSize, getTransformedDocument, handleDocumentId, ignorableWhitespace, processingInstruction, resetAttachedDocuments, resetFields, setAttachedDocuments, setBoost, setConsumer, setContentHandler, setDocumentLocator, setLexicalHandler, setMessageHandler, setUpdateAttachedDocuments, setUpTransformedDocument, setXMLFieldList, setXMLTransformerHandler, skippedEntity, startCDATA, startDocument, startDTD, startEntity, startPrefixMapping, updateAttachedDocuments`

Methods inherited from class fr.gouv.culture.sdx.document.AbstractDocument
`getClassNameSuffix, getInputSource, getPreferredFilename, getRepositoryForStorage, getURL, initToSax, initVolatileObjectsToSax, save, setContent, setContent, setContent, setContent, setIdGenerator, setIdGenerator, setMimeType, setPreferredFilename, setPreferredFilename, setRepositoryForStorage, setURL`

Methods inherited from class fr.gouv.culture.sdx.utils.AbstractSdxObject
`configure, configureDescription, contextualize, enableLogging, getBaseAttributes, getConfiguration, getContext, getDescription, getEncoding, getLocale, getLog, getServiceManager, service, setDescription, setEncoding, setId, setLocale, setUpSdxObject, setUpSdxObject, toSAX, verifyConfigurationResources`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface fr.gouv.culture.sdx.document.IndexableDocument
`addAdditionalSystemFields, getAttachedDocuments, getBoost, getFieldValues, getStoreHandler, getSubDocuments, getTransformedDocument, resetAttachedDocuments, setBoost, setMessageHandler, setTransformedDocument, setTransformedDocument, setXMLFieldList, setXMLTransformerHandler, startIndexing`

Methods inherited from interface fr.gouv.culture.sdx.document.Document
`getLength, getMimeType, getPreferredFilename, getRepositoryForStorage, getURL, openStream, save, setContent, setContent, setContent, setContent, setId, setIdGenerator, setIdGenerator, setMimeType, setPreferredFilename, setRepositoryForStorage, setURL`

Methods inherited from interface fr.gouv.culture.sdx.utils.SdxObject
`getLog`

Methods inherited from interface org.apache.avalon.framework.logger.LogEnabled
`enableLogging`

Methods inherited from interface org.apache.avalon.framework.context.Contextualizable
`contextualize`

Methods inherited from interface org.apache.avalon.framework.service.Serviceable
`service`

Methods inherited from interface org.apache.avalon.framework.configuration.Configurable
`configure`

Methods inherited from interface fr.gouv.culture.sdx.utils.Describable
`getDescription, setDescription`

Methods inherited from interface fr.gouv.culture.sdx.utils.Encodable
`getEncoding, setEncoding`

Methods inherited from interface fr.gouv.culture.sdx.utils.Localizable
`getLocale, setLocale`

Methods inherited from interface org.apache.excalibur.xml.sax.XMLizable
`toSAX`

Methods inherited from interface org.xml.sax.ContentHandler
`characters, endDocument, endPrefixMapping, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping`

Methods inherited from interface org.xml.sax.ext.LexicalHandler
`comment, endCDATA, endDTD, endEntity, startCDATA, startDTD, startEntity`

Methods inherited from interface org.apache.cocoon.xml.XMLProducer
`setConsumer`

Field Detail

### luceneDoc

    protected org.apache.lucene.document.Document luceneDoc

### idKey

    protected final java.lang.String idKey

See Also:
  Constant Field Values

Constructor Detail

### LuceneConcept

    public LuceneConcept()

### LuceneConcept

    public LuceneConcept(org.apache.lucene.document.Document lDoc)

Method Detail

### getValue

    public java.lang.String getValue()

  Provides the value from a lucene data object if it exists

### getXmlLang

    public java.lang.String getXmlLang()

  Provides the xml:lang otherwise it returnts the value of the class variable from a lucene data object if it exists

  Specified by:
    `getXmlLang` in interface `Localizable`
  Overrides:
    `getXmlLang` in class `AbstractSdxObject`

### getRelations

    public java.lang.String[] getRelations(int type)

  Deprecated. Should not be used as int/relation string mapping should be handled by the Thesaurus as it defines the relationship between itself and a Concept, so the Thesaurus shoud to the int to String conversion before calling getRelations(String type)

  Description copied from interface: `Concept`
  Returns a list of concept ids related to this one.

  Parameters:
    `type` - The relation type.

### getRelations

    public java.lang.String[] getRelations(java.lang.String type)

  Description copied from interface: `Concept`
  Returns a list of concept ids related to this one.

  Parameters:
    `type` - The relation type String.

### getId

    public java.lang.String getId()

  Specified by:
    `getId` in interface `Identifiable`
  Overrides:
    `getId` in class `AbstractSdxObject`

### endElement

    public void endElement(java.lang.String uri,
                           java.lang.String loc,
                           java.lang.String raw)
                    throws org.xml.sax.SAXException

  Specified by:
    `endElement` in interface `org.xml.sax.ContentHandler`
  Overrides:
    `endElement` in class `AbstractConcept`
  Throws:
    `org.xml.sax.SAXException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2010 Ministere de la culture et de la communication / AJLSM. All Rights Reserved.